## org.apache.hadoop.io.file.tfile
Interface RawComparable

All Known Implementing Classes:
  ByteArray

    public interface RawComparable

Interface for objects that can be compared through `RawComparator`. This is useful in places where we need a single object reference to specify a range of bytes in a byte array, such as `Comparable` or `Collections.binarySearch(java.util.List, Object, Comparator)` The actual comparison among RawComparable's requires an external RawComparator and it is applications' responsibility to ensure two RawComparable are supposed to be semantically comparable with the same RawComparator.

Method Summary
`byte[]` `buffer()` Get the underlying byte array.
`int` `offset()` Get the offset of the first byte in the byte array.
`int` `size()` Get the size of the byte range in the byte array.

Method Detail

### buffer

    byte[] buffer()

  Get the underlying byte array.

  Returns:
    The underlying byte array.

### offset

    int offset()

  Get the offset of the first byte in the byte array.

  Returns:
    The offset of the first byte in the byte array.

### size

    int size()

  Get the size of the byte range in the byte array.

  Returns:
    The size of the byte range in the byte array.

Copyright © 2009 The Apache Software Foundation